Subject: Re: bug#15094: Fix for posix_memalign on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Aug 2013 05:46:42 +0300

> Date: Wed, 14 Aug 2013 15:52:53 -0400
> From: Ken Brown <[email-masked]>
> CC: [email-masked]
> 
> /* Cygwin allows applications to provide their own malloc.  As of
> cygwin-1.7.24, applications that provide their own malloc are also
> allowed to provide their own posix_memalign (but not memalign).  Calls
> to memalign are handled by Cygwin's memalign, which always returns
> ENOSYS if the application has defined its own malloc.  So we have to
> rename memalign in order to make sure that posix_memalign calls
> Emacs's memalign rather than Cygwin's.  */

How does Cygwin memalign come into play, when Emacs provides its own?